import dynamix_sdk.base as _base


class CloudapiDisksDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        disk_id: int,
        detach: bool = False,
        permanently: bool = False,
    ) -> CloudapiDisksDeleteResultBool:
        ...
